export const meta = {
  title: 'Update #5',
  type: 'Article',
  description: 'Catch up on recently shipped code, and what we have coming',
  featuredImage: {
    src: '/images/blog/tracy-status3.png',
    alt: 'tracy reading next to a status seal'
  },
  date: '2021-04-30',
  tags: [
    'opstrace',
    'observability',
    'metrics',
    'monitoring',
    'open source',
    'status'
  ],
  authors: ['chris']
}

Hello community!

There’s lots of things in motion as we are heads down building
_[the open source observability distribution](/blog/introducing-the-open-source-distribution)_.
We would love to hear your feedback the content below via our
[community Slack](https://go.opstrace.com/community) or an
[email](mailto:hello@opstrace.com).

## News

Last week we posted a detailed guide to show you **how to build histograms in
Grafana**. Perhaps more interesting is the motivation for _why_ to use
histograms. It’s worth a read:
[https://opstrace.com/blog/grafana-histogram-howto](/blog/grafana-histogram-howto)

Yesterday we posted on the blog with some high-level **thoughts on the process
of upgrading** the open source observability distribution.
[https://opstrace.com/blog/toward-zero-downtime-upgrades](/blog/toward-zero-downtime-upgrades)

On Monday, we’ll be part of the
**[Data on Kubernetes KubeCon Co-located Event](https://events.linuxfoundation.org/kubecon-cloudnativecon-europe/program/colocated-events/#data-on-kubernetes-day)**
talking about _Why we need an Open Source Observability Distribution._ Check it
out and register today:
[https://twitter.com/DoKcommunity/status/1387466927203835905](https://twitter.com/DoKcommunity/status/1387466927203835905)

## What Shipped

The [Azure exporter](https://github.com/RobustPerception/azure_metrics_exporter)
from [RobustPerception](https://www.robustperception.io) is now supported! You
can now import metrics from your AWS, GCP, and Azure accounts into Opstrace.
We’ve updated our
[Cloud Metrics user guide](/docs/guides/user/collecting-cloud-metrics/#azure-monitor)
with instructions for getting started on Azure:
[https://github.com/opstrace/opstrace/pull/583](https://github.com/opstrace/opstrace/pull/583)

The UI now parses Loki logs to determine if an exporter is erroring and linking
directly to a helpful query in Grafana to show the logs if that's the case:
[https://github.com/opstrace/opstrace/pull/575](https://github.com/opstrace/opstrace/pull/575)

An override mechanism, using a Kubernetes ConfigMap, to modify Cortex and Loki
configuration in a running Opstrace instance:
[https://github.com/opstrace/opstrace/pull/606](https://github.com/opstrace/opstrace/pull/606)

Handling of older Opstrace-internal config schemas when upgrading:
[https://github.com/opstrace/opstrace/pull/594](https://github.com/opstrace/opstrace/pull/594)

The Opstrace CLI received a set of commands for managing tenant API
authentication tokens. You can now use the CLI to create a custom key pair on
your local machine. You can then subsequently use the private key of that key
pair to sign new authentication tokens, and you can make a specific Opstrace
instance trust these tokens by configuring it with the corresponding public key.
As an administrator, you can now use the CLI to perform these operations easily
at will, enabling basic as well as advanced access control management. If this
gets you curious: stay tuned—more thorough documentation, a user guide, and
potentially a blog post will follow. Some relevant PRs:

- [https://github.com/opstrace/opstrace/pull/582](https://github.com/opstrace/opstrace/pull/582)
- [https://github.com/opstrace/opstrace/pull/586](https://github.com/opstrace/opstrace/pull/586)
- [https://github.com/opstrace/opstrace/pull/614](https://github.com/opstrace/opstrace/pull/614)
- [https://github.com/opstrace/opstrace/pull/654](https://github.com/opstrace/opstrace/pull/654)

Upgrade test progress: pinned binaries act as unofficial release builds that we
test upgrades from. A proper Opstrace release cycle is coming:
[https://github.com/opstrace/opstrace/pull/584](https://github.com/opstrace/opstrace/pull/584)

## Upgrades

We’re [in the process](https://github.com/opstrace/opstrace/pull/655) of testing
an upgrade to Cortex 1.9.0-rc0. The great folks over there have been hard at
work with _many_ improvements and fixes (131 contributions from 28 authors).
Check out their release notes here:
[https://github.com/cortexproject/cortex/releases/tag/v1.9.0-rc.0](https://github.com/cortexproject/cortex/releases/tag/v1.9.0-rc.0)
